%define po_package gok

Summary: GNOME Onscreen Keyboard
Name: gok
Version: 0.11.8
Release: 1
License: GPL
Group: Desktop/Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gok/0.10/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch1: gok-0.9.10-lib64.patch
Patch2: gok-0.10.2-launcher.patch

PreReq:         scrollkeeper >= 0.1.4
PreReq:		at-spi
BuildRequires:	at-spi-devel
BuildRequires:	gail-devel
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  libgnomeui-devel
BuildRequires:  libwnck-devel
BuildRequires:  gnome-speech-devel
BuildRequires:  gtk-doc
BuildRequires:  m4
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser

%description
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.

%package devel
Summary: Libraries/include files for GStreamer plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel atk-devel libbonobo-devel gtk2-devel gail-devel libwnck-devel esound-devel

%description devel
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.

This package contains the libraries and includes files necessary to develop
applications and plugins for gok.

%prep
%setup -q
%patch1 -p1 -b .lib64
%patch2 -p1 -b .launcher

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gok.desktop

%find_lang %{po_package}


%clean
rm -rf $RPM_BUILD_ROOT

%post

scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gok.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update


%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/gconf/schemas/*schemas
%{_bindir}/gok
%{_bindir}/create-branching-keyboard
%{_libdir}/bonobo/servers/GNOME_Gok.server
%{_datadir}/gok
%{_datadir}/gnome
%{_datadir}/omf
#%{_datadir}/applications/gok.desktop
%{_datadir}/pixmaps/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*pc

%changelog
* Mon Sep 20 2004 Colin Walters <walters@redhat.com> 0.11.8-1
- Update to 0.11.8

* Wed Aug 31 2004 Colin Walters <walters@redhat.com> 0.11.7-1
- Update to 0.11.7

* Wed Aug 16 2004 Colin Walters <walters@redhat.com> 0.11.6-1
- Update to 0.11.6

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.11.5-1
- Update to 0.11.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> 0.11.2-2
- Bust out new -devel package, make it depend on various
  other -devel packages.  Note this package is pretty much
  useless, but since upstream ships a .pc file we basically
  have to do it.
- Add BuildRequires on perl-libxml-enno
- Cut down obnoxiously long description

* Fri May 14 2004 Colin Walters <walters@redhat.com> 0.11.2-1
- New upstream version
- Use htmlview instead of mozilla directly
- BuildRequires gnome-speech-devel

* Wed Apr 21 2004 Nils Philippsen <nphilipp@redhat.com> 0.10.2-1
- version 0.10.2 fixes #118504
- use source URL
- remove desktop file as gok only works with a11y on and can be started
  from there

* Sun Apr 11 2004 Warren Togami <wtogami@redhat.com> 0.10.0-2
- BR intltool scrollkeeper libgnomeui-devel libwnck-devel gtk-doc m4 gettext

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.10.0-1
- Update to 0.10.0

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 0.9.11-1
- Update to 0.9.11

* Wed Mar 17 2004 Jonathan Blandford <jrb@redhat.com> 0.9.10-2
- rebuild

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.9.10-1
- Update to 0.9.10

* Thu Mar  4 2004 Mark McLoughlin <markmc@redhat.com> 0.9.9-1
- Update to 0.9.9

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.9.8-1
- update to 0.9.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep  9 2003 Jonathan Blandford <jrb@redhat.com>
- update for GNOME 2.4

* Mon Jul 21 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May  5 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


